{% extends 'base.html.twig' %}

{% block title %}{{ title }} | {{ parent() }}{% endblock %}

{% block stylesheets %}
    <style>
        table {
            border: 1px solid black;
            border-collapse: collapse;
        }

        table thead > tr {
            border-bottom: black dashed 1px;
        }

        table td {
            padding: 10px 10px 0 10px;
        }

        table tr > td:last-child {
            padding-right: 5px;
        }

        table tr > td:first-child {
            padding-left: 5px;
        }
    </style>
{% endblock %}

{% block body %}
    {# {{ message }} #}

    <h1>Current exchange rate for {{ title }}:</h1>
    <table>
        <thead>
        <tr>
            <th>
                USD
            </th>
            <th>
                EUR
            </th>
            <th>
                Date
            </th>
        </tr>
        </thead>
        <tbody>
        <tr>
            <td>
                {{ bitcoin.usdRate }}
            </td>
            <td>
                {{ bitcoin.eurRate }}
            </td>
            <td>
                {{ bitcoin.createdAt|date('Y.m.d H:i:s T', "Europe/Prague") }}
            </td>
        </tr>
        </tbody>
    </table>
    {% if updated %}<small style="text-transform: uppercase">updated</small>{% endif %}
{% endblock %}